 <?php
include("categorias.php");
error_reporting(E_ALL);
ini_set('display_errors', 1);
ini_set('memory_limit', '512M');
date_default_timezone_set('Europe/Madrid');
//include("conexion.php");

$bdd_usuario="icf";
$bdd_contrasena="6k4mkb9LWT3Zr5A";
$bdd_servidor="212.129.50.120";
$bdd_base_datos="icf";
$id_order=$_REQUEST["id_order"];


function acentos($str) {
  $a = array('À', 'Á', 'Â', 'Ã', 'Ä', 'Å', 'Æ', 'Ç', 'È', 'É', 'Ê', 'Ë', 'Ì', 'Í', 'Î', 'Ï', 'Ð', 'Ñ', 'Ò', 'Ó', 'Ô', 'Õ', 'Ö', 'Ø', 'Ù', 'Ú', 'Û', 'Ü', 'Ý', 'ß', 'à', 'á', 'â', 'ã', 'ä', 'å', 'æ', 'ç', 'è', 'é', 'ê', 'ë', 'ì', 'í', 'î', 'ï', 'ñ', 'ò', 'ó', 'ô', 'õ', 'ö', 'ø', 'ù', 'ú', 'û', 'ü', 'ý', 'ÿ', 'A', 'a', 'A', 'a', 'A', 'a', 'C', 'c', 'C', 'c', 'C', 'c', 'C', 'c', 'D', 'd', 'Ð', 'd', 'E', 'e', 'E', 'e', 'E', 'e', 'E', 'e', 'E', 'e', 'G', 'g', 'G', 'g', 'G', 'g', 'G', 'g', 'H', 'h', 'H', 'h', 'I', 'i', 'I', 'i', 'I', 'i', 'I', 'i', 'I', 'i', '?', '?', 'J', 'j', 'K', 'k', 'L', 'l', 'L', 'l', 'L', 'l', '?', '?', 'L', 'l', 'N', 'n', 'N', 'n', 'N', 'n', '?', 'O', 'o', 'O', 'o', 'O', 'o', '', '', 'R', 'r', 'R', 'r', 'R', 'r', 'S', 's', 'S', 's', 'S', 's', '', '', 'T', 't', 'T', 't', 'T', 't', 'U', 'u', 'U', 'u', 'U', 'u', 'U', 'u', 'U', 'u', 'U', 'u', 'W', 'w', 'Y', 'y', '', 'Z', 'z', 'Z', 'z', '', '', '?', '', 'O', 'o', 'U', 'u', 'A', 'a', 'I', 'i', 'O', 'o', 'U', 'u', 'U', 'u', 'U', 'u', 'U', 'u', 'U', 'u', '?', '?', '?', '?', '?', '?', '?', '?', '?', '?', '?', '?', '?', '?', '?', '?', '?', '?', '?', '?', '?', '?', '?', '?');
  $b = array('A', 'A', 'A', 'A', 'A', 'A', 'AE', 'C', 'E', 'E', 'E', 'E', 'I', 'I', 'I', 'I', 'D', 'N', 'O', 'O', 'O', 'O', 'O', 'O', 'U', 'U', 'U', 'U', 'Y', 's', 'a', 'a', 'a', 'a', 'a', 'a', 'ae', 'c', 'e', 'e', 'e', 'e', 'i', 'i', 'i', 'i', 'n', 'o', 'o', 'o', 'o', 'o', 'o', 'u', 'u', 'u', 'u', 'y', 'y', 'A', 'a', 'A', 'a', 'A', 'a', 'C', 'c', 'C', 'c', 'C', 'c', 'C', 'c', 'D', 'd', 'D', 'd', 'E', 'e', 'E', 'e', 'E', 'e', 'E', 'e', 'E', 'e', 'G', 'g', 'G', 'g', 'G', 'g', 'G', 'g', 'H', 'h', 'H', 'h', 'I', 'i', 'I', 'i', 'I', 'i', 'I', 'i', 'I', 'i', 'IJ', 'ij', 'J', 'j', 'K', 'k', 'L', 'l', 'L', 'l', 'L', 'l', 'L', 'l', 'l', 'l', 'N', 'n', 'N', 'n', 'N', 'n', 'n', 'O', 'o', 'O', 'o', 'O', 'o', 'OE', 'oe', 'R', 'r', 'R', 'r', 'R', 'r', 'S', 's', 'S', 's', 'S', 's', 'S', 's', 'T', 't', 'T', 't', 'T', 't', 'U', 'u', 'U', 'u', 'U', 'u', 'U', 'u', 'U', 'u', 'U', 'u', 'W', 'w', 'Y', 'y', 'Y', 'Z', 'z', 'Z', 'z', 'Z', 'z', 's', 'f', 'O', 'o', 'U', 'u', 'A', 'a', 'I', 'i', 'O', 'o', 'U', 'u', 'U', 'u', 'U', 'u', 'U', 'u', 'U', 'u', 'A', 'a', 'AE', 'ae', 'O', 'o', '?', 'a', '?', 'e', '?', '?', 'O', '?', '?', '?', '?', '?', '?', '?', '?', '?', '?', '?');
  return str_replace($a, $b, $str);
}


function mssql_escape($str)
{
    if(get_magic_quotes_gpc())
    {
        $str= stripslashes($str);
    }
    return str_replace("'", "''", $str);
}

$connPrestashop=false;
$retries=0;
while(!$connPrestashop && $retries<3){
	$connPrestashop = new mysqli($bdd_servidor, $bdd_usuario, $bdd_contrasena, $bdd_base_datos);
	$retries++;
}


if( $connPrestashop ) {
	 echo "Conexion establecida con Prestashop.\r\n";
}else{
	 echo "Conexion no se pudo establecer con Prestashop.\r\n";
	 die( print_r( sqlsrv_errors(), true));
}

$serverName = "localhost";
$connectionInfo = array( "Database"=>"ICF", "UID"=>"VAIO", "PWD"=>"VAIO");

$connNavision=false;
$retries=0;
while(!$connNavision && $retries<3){
	$connNavision = sqlsrv_connect( $serverName, $connectionInfo);
	$retries++;
}


if( $connNavision ) {
	 echo "Conexion establecida con Navision.\r\n";
}else{
	 echo "Conexion no se pudo establecer con Navision.\r\n";
	 die( print_r( sqlsrv_errors(), true));
}


$payment_methods = array ('redsys' => 'WEB TARJET',
						 'paypal' => 'PAYPAL',
						 'pagantis' => 'PAGANTIS',
						 'cetelem' => 'CETELEM',
						 'fastbay1' => 'PAYPAL',
						 'codfee' => 'CONTRAREEM',
						 'amazon'=> 'PENDIENTE',
						 'cheque' => 'GIRO',
						 'bankwire' => 'TRANSFER',
						 'manomano' => 'MANOMANO',
						 'aliexpress_payment' => 'ALIEXPRESS',
						 'bizum' => 'BIZUM',
						 'venca' => 'VENCA'
);

//mysqli_set_charset ($connPrestashop , "iso-8859-1");
//Obtener datos del cliente
/* IF(b.vat_number=\'\', b.dni, b.vat_number) inv_dni*/

$sql='SELECT o.id_order, o.reference, o.id_customer, o.total_paid, c.id_customer_icf, c.terminos_pago, o.id_address_delivery, o.date_add, c.cif cif, o.id_address_invoice, c.id_default_group, c.firstname, c.lastname, c.email, c.empresa empresa, b.address1 inv_address1, b.address2 inv_address2, b.city inv_city, b.postcode inv_postcode, b.phone inv_phone, b.phone_mobile inv_mobile, a.address1, a.address2, a.city, a.postcode, a.phone tel_fijo, a.phone_mobile tel_movil, o.carrier_tax_rate, o.current_state, o.total_discounts_tax_excl, o.total_paid, o.total_paid_tax_incl, o.total_paid_tax_excl, o.payment, o.module, o.codfee,
			o.total_shipping_tax_excl, o.payment_fee, a.id_country country, a.city, a.firstname delivery_firstname, a.lastname delivery_lastname, s.name provincia, s2.name inv_provincia, carrier.name carrier, car.delay, st.name estado, th.id_customer_thread, mes.message
			FROM fcorders o
			LEFT JOIN fccustomer c
				ON c.id_customer=o.id_customer
			LEFT JOIN fcorder_state_lang st
				ON o.current_state=st.id_order_state
				AND st.id_lang=1
			LEFT JOIN fccarrier_lang car
				ON car.id_carrier=o.id_carrier
					AND car.id_lang=1
			LEFT JOIN fccarrier carrier
				ON o.id_carrier=carrier.id_carrier
			LEFT JOIN fcaddress a
				 ON o.id_address_delivery=a.id_address
			LEFT JOIN fcaddress b
				 ON o.id_address_invoice=b.id_address
			LEFT JOIN fcstate s
				 ON s.id_state=a.id_state
			LEFT JOIN fcstate s2
				 ON s2.id_state=b.id_state
			LEFT JOIN fccustomer_thread th
				 ON th.id_order=o.id_order
			LEFT JOIN fccustomer_message mes
				ON mes.id_customer_thread=th.id_customer_thread
			WHERE o.id_order='.$id_order;
$result = mysqli_query($connPrestashop, $sql);
if($row=mysqli_fetch_object($result)){
	//echo "<pre>".print_r($row,true)."</pre>";
	//Insertamos cabecera del pedido en ICF_FrasCab

	if(isset($payment_methods[$row->module]))
		$payment_method=$payment_methods[$row->module];
	else $payment_method=$row->module;
	
	
	//echo "<br><br>".$payment_method."<br><br>";
	if($row->country!=6 OR $row->provincia=="Las Palmas" OR $row->provincia=="Santa Cruz de Tenerife") {
		
		$id_cliente_navision='C05558';
		
		
	}
	
	else if($row->module=="manomano") {
		
		$id_cliente_navision='C10000';
		
		
	}
	
	else if($row->module=="aliexpress_payment") {
		
		$id_cliente_navision='C11000';
		
		
	}
	
	else if($row->module=="venca") {
		
		$id_cliente_navision='C10003';
		
		
	}
	
	
	else{
		$id_cliente_navision=$row->id_customer_icf;
		
		
	}
	
	//echo "<br><br>".$id_cliente_navision."<br><br>";
	
	$terminospago=null;
	
	if($row->terminos_pago!=null){
		
		$terminospago=$row->terminos_pago;
	
	}
	
	else{
		$terminospago="00C";
	
	}
	
	//echo "longitud: ".strlen($row->message);
	if(strlen($row->message)>200){
		$observaciones=substr($row->message,0,200);
		
	}
	
	else{
		$observaciones=$row->message;
		
	}
	
	
	
	if($payment_method=="CONTRAREEM") {
		
		$observaciones=$observaciones." CONTRA REEMBOLSO";
		
	}
	
	else if($row->module=="fastbay1")
	{
		$observaciones=$observaciones." PEDIDO EBAY";
	}
	else if($row->module=="aliexpress_payment") {
		
		$observaciones=$observaciones." ALIEXPRESS";
	
	}
	
	else{
		
		$observaciones=$observaciones." ".$payment_method;
		
	}
	
	
	if($row->total_paid>=100 AND $row->module!="aliexpress_payment" AND $row->module!="manomano" AND $row->module!="fastbay1" AND $row->module!="venca")
	{
		$observaciones=$observaciones." REGALO 4 MASCARILLAS 201720 CLIMAX";
		
	}
	
	$observaciones=$observaciones." ".$row->carrier;
	
	
	$telefono=NULL;
	
	if($row->tel_fijo=="")
	{
		
		$telefono=$row->tel_movil;
		
	}
	
	else{
		
		if($row->tel_movil!="")	$telefono=$row->tel_fijo."/".$row->tel_movil;
		else $telefono=$row->tel_fijo;
	}
	
	
	
	$empresa=acentos(mssql_escape($row->empresa));
	
	//clientes que ya están en NAVISION. En el nombre metemos el nombre de la empresa y el apellido lo dejamos vacío
	
	if($id_cliente_navision!="" AND $id_cliente_navision!="C09000" AND $id_cliente_navision!="C10000"  AND $id_cliente_navision!="C11000" AND $id_cliente_navision!="C10003"){
		
	$sql = "INSERT INTO ".'[Ind. Campollano Ferretería S.L$ICF_FrasCab]'."(
			FechaModificacion,
			HoraModificacion,
			CodClientePS,
			Nombre,
			Apellido1,
			Apellido2,
			Direccion1,
			Direccion2,
			CP,
			Poblacion,
			Provincia,
			Contacto,
			TerminosPago,
			FormaPago,
			FechaRegistro,
			FechaVencimiento,
			TextoRegistro,
			DNI,
			Telefono,
			CodClientePagadorPS,
			NombrePagador,
			Apellido1Pagagor,
			Apellido2Pagagor,
			CodFacturaTemp,
			Procesado,
			ConceptoGastoEnvio,
			Direccion1Envio,
			Direccion2Envio,
			CPEnvio,
			PoblacionEnvio,
			ProvinciaEnvio,
			CodPedidoPS,
			Observaciones,
			CodCliente,
			RefPedidoPS,
			EmpresaPagador,
			EmpresaEnvios,
			Email,
			[Texto Error],
			Solucionado,
			Error,
			ProcesarAlbaran,
			NoAlbaran
			
	) VALUES (
		'".date("d-m-Y", strtotime($row->date_add))."',
		'".date("1754-01-01 H:i:s.000", strtotime($row->date_add))."',
		'".$row->id_customer."',
		'".strtoupper(mssql_escape($row->empresa))."',
		'',
		' ',
		'".mssql_escape($row->inv_address1)."',
		'".mssql_escape($row->inv_address2)."',
		'".mssql_escape($row->inv_postcode)."',
		'".mssql_escape($row->inv_city)."',
		'".mssql_escape($row->inv_provincia)."',
		' ',
		'".mssql_escape($terminospago)."',
		'".$payment_method."',
		'".date("d-m-Y", strtotime($row->date_add))."',
		'".date("d-m-Y", strtotime($row->date_add))."',
		' ',
		'".mssql_escape($row->cif)."',
		'".mssql_escape($telefono)."',
		'".mssql_escape($row->id_customer)."',
		'".strtoupper(mssql_escape($row->empresa))."',
		' ',
		' ',
		' ',
		0,
		'".mssql_escape($row->carrier)."',
		'".mssql_escape($row->address1)."',
		'".mssql_escape($row->address2)."',
		'".mssql_escape($row->postcode)."',
		'".mssql_escape($row->city)."',
		'".mssql_escape($row->provincia)."',
		".$id_order.",
		'".mssql_escape($observaciones)."',
		'".mssql_escape($id_cliente_navision)."',
		'".mssql_escape($row->id_order)."',
		'".strtoupper($empresa)."',
		'".strtoupper($empresa)."',
		'".mssql_escape($row->email)."',
		'',
		0,
		0,
		0,
		0
		
		);";
		
		
	
//echo $sql."<br><br><br>";


		$stmt = sqlsrv_query( $connNavision, $sql );
		if( $stmt === false) {
			die( print_r( sqlsrv_errors(), true) );
		}
		
		
		
	}
	
	
	else{
		
		
		$sql = "INSERT INTO ".'[Ind. Campollano Ferretería S.L$ICF_FrasCab]'."(
			FechaModificacion,
			HoraModificacion,
			CodClientePS,
			Nombre,
			Apellido1,
			Apellido2,
			Direccion1,
			Direccion2,
			CP,
			Poblacion,
			Provincia,
			Contacto,
			TerminosPago,
			FormaPago,
			FechaRegistro,
			FechaVencimiento,
			TextoRegistro,
			DNI,
			Telefono,
			CodClientePagadorPS,
			NombrePagador,
			Apellido1Pagagor,
			Apellido2Pagagor,
			CodFacturaTemp,
			Procesado,
			ConceptoGastoEnvio,
			Direccion1Envio,
			Direccion2Envio,
			CPEnvio,
			PoblacionEnvio,
			ProvinciaEnvio,
			CodPedidoPS,
			Observaciones,
			CodCliente,
			RefPedidoPS,
			EmpresaPagador,
			EmpresaEnvios,
			Email,
			[Texto Error],
			Solucionado,
			Error,
			ProcesarAlbaran,
			NoAlbaran
			
	) VALUES (
		'".date("d-m-Y", strtotime($row->date_add))."',
		'".date("1754-01-01 H:i:s.000", strtotime($row->date_add))."',
		'".$row->id_customer."',
		'".mssql_escape($row->delivery_firstname)."',
		'".mssql_escape($row->delivery_lastname)."',
		' ',
		'".mssql_escape($row->inv_address1)."',
		'".mssql_escape($row->inv_address2)."',
		'".mssql_escape($row->inv_postcode)."',
		'".mssql_escape($row->inv_city)."',
		'".mssql_escape($row->inv_provincia)."',
		' ',
		'".mssql_escape($terminospago)."',
		'".$payment_method."',
		'".date("d-m-Y", strtotime($row->date_add))."',
		'".date("d-m-Y", strtotime($row->date_add))."',
		' ',
		'".mssql_escape($row->cif)."',
		'".mssql_escape($telefono)."',
		'".mssql_escape($row->id_customer)."',
		'".mssql_escape($row->firstname)."',
		'".mssql_escape($row->lastname)."',
		' ',
		' ',
		0,
		'".mssql_escape($row->carrier)."',
		'".mssql_escape($row->address1)."',
		'".mssql_escape($row->address2)."',
		'".mssql_escape($row->postcode)."',
		'".mssql_escape($row->city)."',
		'".mssql_escape($row->provincia)."',
		".$id_order.",
		'".mssql_escape($observaciones)."',
		'".mssql_escape($id_cliente_navision)."',
		'".mssql_escape($row->id_order)."',
		'".strtoupper($empresa)."',
		'".strtoupper($empresa)."',
		'".mssql_escape($row->email)."',
		'',
		0,
		0,
		0,
		0		
		
		);";
		
		
	
//echo $sql."<br><br><br>";


		$stmt = sqlsrv_query( $connNavision, $sql );
		if( $stmt === false) {
			die( print_r( sqlsrv_errors(), true) );
		}
	
	
	}
		//Obtener el id que se acaba de insertar
		$sql="SELECT MAX(Cod_FrasCab) Cod_FrasCab FROM ".'[Ind. Campollano Ferretería S.L$ICF_FrasCab]';
		$stmt = sqlsrv_query( $connNavision, $sql );
		if( $stmt === false) {
			die( print_r( sqlsrv_errors(), true) );
		}
		$row_max = sqlsrv_fetch_array( $stmt, SQLSRV_FETCH_ASSOC);
		$Cod_FrasCab=$row_max["Cod_FrasCab"];

	


	//Creamos las lï¿½neas del Documento y las relacionamos con la linea de PS
	$sql='SELECT d.*, l.name, IFNULL(al.name,\'\') Variante, p.cantidad_pedido_minimo cantidad_pedido_minimo FROM fcorder_detail d
LEFT JOIN fcproduct_lang l	ON l.id_product=d.product_id AND l.id_lang=1 AND l.id_shop=1
LEFT JOIN fcproduct p ON p.id_product=d.product_id
LEFT JOIN fcproduct_attribute_combination ac	ON ac.id_product_attribute=d.product_attribute_id AND ac.id_product_attribute <> 0
LEFT JOIN fcattribute_lang al ON al.id_attribute=ac.id_attribute AND al.id_lang=1 AND al.id_attribute <> 0 WHERE id_order='.$id_order;
	$result = mysqli_query($connPrestashop, $sql);
	$linea=1;
	while($row_detail=mysqli_fetch_object($result)){
		
		if($row_detail->name=="J'HAYBER"){
			
			$nombre="JHAYBER";
		}
		
		else{
			
			$nombre=$row_detail->name;
		}
		
		
		if($row_detail->cantidad_pedido_minimo>1 AND $id_cliente_navision!='C10003'){
			$cantidad=($row_detail->product_quantity*$row_detail->cantidad_pedido_minimo);
			$precio_unitario=($row_detail->unit_price_tax_excl/$row_detail->cantidad_pedido_minimo);
		
		}
		
		else{
		
		$cantidad=$row_detail->product_quantity;
		$precio_unitario=$row_detail->unit_price_tax_excl;
		
		}
		
		if($row_detail->Variante=="AZUL ULTRAMAR") $variante="AZUL ULTRA";
		else if($row_detail->Variante=="VERDE CLARO" OR $row_detail->Variante=="AZUL MARINO" 
		OR $row_detail->Variante=="ROSA PALIDO"  OR $row_detail->Variante=="GRIS OSCURO"  ) $variante=substr($row_detail->Variante,0,-1);
		else if($row_detail->Variante=="VERDE PISTACHO") $variante="VERDE PIST";
		else if($row_detail->Variante=="BLANCO BRILLO") $variante="BLANCO BRI";
		else if($row_detail->Variante=="VINTAGE ROSE") $variante="VINTAGE RO";
		else if($row_detail->Variante=="AZUL ANCLA 536") $variante="AZUL ANCLA";
		else if($row_detail->Variante=="AZUL COBALTO 532") $variante="AZUL COBAL";
		else if($row_detail->Variante=="AZUL LUMINOSO 539") $variante="AZUL LUMIN";
		else if($row_detail->Variante=="AZUL MARINO 551") $variante="AZUL MARIN";
		else if($row_detail->Variante=="GRIS AZULADO 510") $variante="GRIS AZULA";
		else if($row_detail->Variante=="GRIS MEDIO 549") $variante="GRIS MEDIO";
		else if($row_detail->Variante=="GRIS PERLA 509") $variante="GRIS PERLA";
		else if($row_detail->Variante=="MARRON TABACO 544") $variante="MARRON TAB";
		else if($row_detail->Variante=="NEGRO BRILLO") $variante="NEGRO BRIL";
		else if($row_detail->Variante=="ROJO INGLES 555") $variante="ROJO INGLE";
		else if($row_detail->Variante=="VERDE MAYO 559") $variante="VERDE MAYO";
		else if($row_detail->Variante=="VERDE FRONTON") $variante="VERDE FRON";
		else if($row_detail->Variante=="MALVA MASTER") $variante="MALVA MAST";
		else if($row_detail->Variante=="AMARILLO REAL") $variante="AMARILLO R";
		else if($row_detail->Variante=="ROJO CARRUAJE") $variante="ROJO CARRU";
		else if($row_detail->Variante=="ROJO BURDEOS") $variante="ROJO BURDE";
		else if($row_detail->Variante=="SALMON OSCURO") $variante="SALMON OSC";
		else if($row_detail->Variante=="AZUL ULTRAMAR") $variante="AZUL ULTRA";
		else if($row_detail->Variante=="VERDE HIERBA") $variante="VERDE HIER";
		else if($row_detail->Variante=="VERDE CARRUAJES") $variante="VERDE CARR";
		else if($row_detail->Variante=="VERDE PRIMAVERA") $variante="VERDE PRIM";
		else if($row_detail->Variante=="AMARILLO CLARO") $variante="AMARILLO C";
		else if($row_detail->Variante=="TURQUESA CLARO") $variante="TURQUESA C";
		else if($row_detail->Variante=="NARANJA CLARO") $variante="NARANJA CL";
		else if($row_detail->Variante=="GRIS VIGORE") $variante="GRIS VIGOR";
		else if($row_detail->Variante=="ARENA VIGORE") $variante="ARENA VIGO";
		else if($row_detail->Variante=="NARANJA FLUOR") $variante="NARANJA FL";
		else if($row_detail->Variante=="AMARILLO FLUOR") $variante="AMARILLO F";
		else if($row_detail->Variante=="RAYAS GRANATE") $variante="RAYAS GRAN";
		else if($row_detail->Variante=="RAYAS NEGRAS") $variante="RAYAS NEGR";
		else if($row_detail->Variante=="VERDE BOSQUE") $variante="VERDE BOSQ";
		else if($row_detail->Variante=="BLANCO PERLA") $variante="BLANCOPERL";
		else if($row_detail->Variante=="MARRON VINTAGE") $variante="MARRONVINT";
		else if($row_detail->Variante=="ROJO IMPERIAL") $variante="ROJOIMPERI";
		else $variante=$row_detail->Variante;
		
		
		
		if($row_detail->product_reference!="99DEVOLUCIONESWEB" AND $row_detail->product_reference!="99CAMBIOWEB")
		{
			
			
			$sql = "INSERT INTO ".'[Ind. Campollano Ferretería S.L$ICF_FrasLinea]'."(
					Cod_FrasCab,
					NLinea,
					Cod_NAV,
					Cantidad,
					Descripcion,
					PrecioVenta,
					GrupoIVA,
					Descuento,
					ImporteLinea,
					Procesado,
					Variante,
					ProcesaAlbaran,
					CantidadAProcesar,
					CantidadProcesada
			) VALUES (
				".$Cod_FrasCab.",
				".$linea.",
				'".$row_detail->product_reference."',
				'".$cantidad."',
				'".$nombre."',
				'".$precio_unitario."',
				'21',
				'".$row_detail->reduction_amount."',
				'".$row_detail->total_price_tax_excl."',
				0,
				'".mssql_escape(strtoupper($variante))."',
				0,
				0,
				0
			);";
			
			$stmt = sqlsrv_query( $connNavision, $sql );
			if( $stmt === false) {
				die( print_r( sqlsrv_errors(), true) );
			}
			
			/*
			
			if($row_detail->product_reference=="23407522080SET" OR $row_detail->product_reference=="2340752168050"){
			
				 $observaciones=$observaciones." Regalo Pantalla  20751120";
				 $sql = "UPDATE ".'[Ind. Campollano Ferretería S.L$ICF_FrasCab]'." SET Observaciones='".$observaciones."' WHERE Cod_FrasCab=".$Cod_FrasCab;
				 $stmt = sqlsrv_query( $connNavision, $sql );
						if( $stmt === false) {
							die( print_r( sqlsrv_errors(), true) );
						}
			
			
			}
			
					
			else if($row_detail->product_reference=="23244075108"){
			
				 $observaciones=$observaciones." Regalo Pantalla  202105420100305";
				 $sql = "UPDATE ".'[Ind. Campollano Ferretería S.L$ICF_FrasCab]'." SET Observaciones='".$observaciones."' WHERE Cod_FrasCab=".$Cod_FrasCab;
				 $stmt = sqlsrv_query( $connNavision, $sql );
						if( $stmt === false) {
							die( print_r( sqlsrv_errors(), true) );
						}
			
			
			}
			
			else if($row_detail->product_reference=="2340752268050"){
			
				 $observaciones=$observaciones." Regalo Pantalla  234205100197";
				 $sql = "UPDATE ".'[Ind. Campollano Ferretería S.L$ICF_FrasCab]'." SET Observaciones='".$observaciones."' WHERE Cod_FrasCab=".$Cod_FrasCab;
				 $stmt = sqlsrv_query( $connNavision, $sql );
				if( $stmt === false) {
					die( print_r( sqlsrv_errors(), true) );
				}
			
			
			}
			else
			if(strpos($nombre,"FERLUX")){
				
				 $observaciones=$observaciones." Regalo Aspirador de cenizas 449310R440";
				 $sql = "UPDATE ".'[Ind. Campollano Ferretería S.L$ICF_FrasCab]'." SET Observaciones='".$observaciones."' WHERE Cod_FrasCab=".$Cod_FrasCab;
				 $stmt = sqlsrv_query( $connNavision, $sql );
				if( $stmt === false) {
					die( print_r( sqlsrv_errors(), true) );
				}
			
			
			}
		*/ 
		
		}
		
		else if ($row_detail->product_reference=="99DEVOLUCIONESWEB"){
			$sql = "INSERT INTO ".'[Ind. Campollano Ferretería S.L$ICF_FrasLinea]'."(
					Cod_FrasCab,
					NLinea,
					Cod_NAV,
					Cantidad,
					Descripcion,
					PrecioVenta,
					GrupoIVA,
					Descuento,
					ImporteLinea,
					Procesado,
					Variante,
					ProcesaAlbaran,
					CantidadAProcesar,
					CantidadProcesada
			) VALUES (
				".$Cod_FrasCab.",
				".$linea.",
				'29004',
				'1',
				'Gastos de devolución',
				'".$precio_unitario."',
				'21',
				'".$row_detail->reduction_amount."',
				'".$row_detail->total_price_tax_excl."',
				0,
				'".mssql_escape(strtoupper($variante))."',
				0,
				0,
				0
			);";
			
			$stmt = sqlsrv_query( $connNavision, $sql );
			if( $stmt === false) {
				die( print_r( sqlsrv_errors(), true) );
			}
			
			
			
			
		}
		
		else if ($row_detail->product_reference=="99CAMBIOWEB"){
			$sql = "INSERT INTO ".'[Ind. Campollano Ferretería S.L$ICF_FrasLinea]'."(
					Cod_FrasCab,
					NLinea,
					Cod_NAV,
					Cantidad,
					Descripcion,
					PrecioVenta,
					GrupoIVA,
					Descuento,
					ImporteLinea,
					Procesado,
					Variante,
					ProcesaAlbaran,
					CantidadAProcesar,
					CantidadProcesada
			) VALUES (
				".$Cod_FrasCab.",
				".$linea.",
				'29004',
				'1',
				'Gastos cambio de talla',
				'".$precio_unitario."',
				'21',
				'".$row_detail->reduction_amount."',
				'".$row_detail->total_price_tax_excl."',
				0,
				'".mssql_escape(strtoupper($variante))."',
				0,
				0,
				0
			);";
			
			$stmt = sqlsrv_query( $connNavision, $sql );
			if( $stmt === false) {
				die( print_r( sqlsrv_errors(), true) );
			}
			
			
			
		}
		
				

		$linea++;
	}
	
		
		if(($row->total_shipping_tax_excl*1)>0){
			$sql = "INSERT INTO ".'[Ind. Campollano Ferretería S.L$ICF_FrasLinea]'."(
					Cod_FrasCab,
					NLinea,
					Cod_NAV,
					Cantidad,
					Descripcion,
					PrecioVenta,
					GrupoIVA,
					Descuento,
					ImporteLinea,
					Procesado,
					Variante,
					ProcesaAlbaran,
					CantidadAProcesar,
					CantidadProcesada
			) VALUES (
				".$Cod_FrasCab.",
				".$linea.",
				'29004',
				'1',
				'Gastos de envio y manipulacion',
				".($row->total_shipping_tax_excl*1).",
				'21',
				'0',
				".($row->total_shipping_tax_excl*1).",
				0,
				'',
				0,
				0,
				0
			);";
			//echo $sql;
			$stmt = sqlsrv_query( $connNavision, $sql );
			if( $stmt === false) {
				die( print_r( sqlsrv_errors(), true) );
			}
			
			$linea++;
		}		
		
		//creamos una nueva linea en el pedido para los descuentos. En este caso, 
		//hemos creado en Navision el artículo 99DTOWEB y lo metemos con -1 y el importe del dto. correspondiente.
	
		//echo "linea de descuento:".($row->total_discounts_tax_excl);
		if($row->total_discounts_tax_excl>0){
		
			$sql = "INSERT INTO ".'[Ind. Campollano Ferretería S.L$ICF_FrasLinea]'."(
						Cod_FrasCab,
						NLinea,
						Cod_NAV,
						Cantidad,
						Descripcion,
						PrecioVenta,
						GrupoIVA,
						Descuento,
						ImporteLinea,
						Procesado,
						Variante,
						ProcesaAlbaran,
						CantidadAProcesar,
						CantidadProcesada
				) VALUES (
					".$Cod_FrasCab.",
					".$linea.",
					'99DTOWEB',
					'-1',
					'Descuento Web',
					".($row->total_discounts_tax_excl*1).",
					'21',
					'0',
					".($row->total_discounts_tax_excl*1).",
					0,
					'',
					0,
					0,
					0
			);";
			//echo $sql;
			$stmt = sqlsrv_query( $connNavision, $sql );
			if( $stmt === false) {
				die( print_r( sqlsrv_errors(), true) );
			}
			$linea++;
		}
		
		
		
		//creamos una nueva linea en el pedido para las comisiones de Paypal. En este caso, 
		//aprovechamos el artículo 99DTOWEB de Navision y lo metemos en este caso con +1 y el importe de la tasa correspondiente.
	
		//echo "linea de descuento:".($row->total_discounts_tax_excl);
		
		if($row->payment_fee>0){
		
			$sql = "INSERT INTO ".'[Ind. Campollano Ferretería S.L$ICF_FrasLinea]'."(
						Cod_FrasCab,
						NLinea,
						Cod_NAV,
						Cantidad,
						Descripcion,
						PrecioVenta,
						GrupoIVA,
						Descuento,
						ImporteLinea,
						Procesado,
						Variante,
						ProcesaAlbaran,
						CantidadAProcesar,
						CantidadProcesada
				) VALUES (
					".$Cod_FrasCab.",
					".$linea.",
					'99COMPAYPAL',
					'1',
					'Comisión Paypal',
					".(($row->payment_fee*1)/1.21).",
					'21',
					'0',
					".(($row->payment_fee*1)/1.21).",
					0,
					'',
					0,
					0,
					0
			);";
			$stmt = sqlsrv_query( $connNavision, $sql );
			if( $stmt === false) {
				die( print_r( sqlsrv_errors(), true) );
			}
		}
		
		

	
	
	
	
	
	
	
	
}

?>
